package com.gyee.frame.model.custom.analysistask;



public class Analysistaskdetail implements java.io.Serializable {

	// Fields

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String id;
	private String relatedid;
	private String windturbineid;
	private String unitid;
	private String unitnmae;
	private String levels;
	private String parent;
	private Boolean isleaf;
	private Boolean expanded;
	private Boolean loaded;
	private String name;
	private String confidence;
	private String factvalue;

	// Constructors

	public String getLevels() {
		return levels;
	}

	public void setLevels(String levels) {
		this.levels = levels;
	}

	public Boolean getLoaded() {
		return loaded;
	}

	public void setLoaded(Boolean loaded) {
		this.loaded = loaded;
	}

	public void setIsleaf(Boolean isleaf) {
		this.isleaf = isleaf;
	}

	public void setExpanded(Boolean expanded) {
		this.expanded = expanded;
	}

	/** default constructor */
	public Analysistaskdetail() {
	}

	public String getId() {
    	return id;
    }

	public void setId(String id) {
    	this.id = id;
    }

	public String getRelatedid() {
    	return relatedid;
    }

	public void setRelatedid(String relatedid) {
    	this.relatedid = relatedid;
    }

	public String getWindturbineid() {
    	return windturbineid;
    }

	public void setWindturbineid(String windturbineid) {
    	this.windturbineid = windturbineid;
    }

	public String getUnitid() {
    	return unitid;
    }

	public void setUnitid(String unitid) {
    	this.unitid = unitid;
    }

	public String getUnitnmae() {
    	return unitnmae;
    }

	public void setUnitnmae(String unitnmae) {
    	this.unitnmae = unitnmae;
    }

	public String getParent() {
    	return parent;
    }

	public void setParent(String parent) {
    	this.parent = parent;
    }


	public Boolean getIsleaf() {
		return isleaf;
	}

	public Boolean getExpanded() {
		return expanded;
	}

	public String getName() {
    	return name;
    }

	public void setName(String name) {
    	this.name = name;
    }

	public String getConfidence() {
    	return confidence;
    }

	public void setConfidence(String confidence) {
    	this.confidence = confidence;
    }

	public String getFactvalue() {
    	return factvalue;
    }

	public void setFactvalue(String factvalue) {
    	this.factvalue = factvalue;
    }



}